Subject: Problem about TAB in emacs23
From: dexter K <[email-masked]>
To: [email-masked]
Date: Mon, 28 Feb 2011 12:04:51 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi everyone
rms says here maybe can help me find out a way to fix my problem.

I have problem in emacs with TAB

I want have a real tab , when I press TAB, it goes like 8 spaces distances..
I did it with this code:
-------

(global-set-key (kbd "TAB") 'self-insert-command)
(setq default-tab-width 8)
(setq tab-width 8)
(setq c-basic-indent 8)

(global-set-key [delete] 'delete-char)
(global-set-key [backspace] 'delete-backward-char)

-------

it works both on windows & mac , the most important is I can delete a whole
tab distances like 8 spaces when I press [BackSpace] key
But it failed again in my Centos ,when I done complie emacs 23.2

Is there any way  to fix  this problem ?
Cause I really dont want delete a tab by press 8 times  backspace  on the
keyboard.
If it is possible , I want change all  modes of emacs to get a REAL TAB, no
more space instead of TAB.
Thanks